display: inline-block;
position: absolute;
top: 0;
left: 0;
width: 100vw;
height: 100vh;
background-color: #cacaca50;
z-index: 5000;

.inner {
    display: inline-flex;
    flex-direction: column;
    color: #000;
    vertical-align: top;
    box-shadow: -1px 4px 10px #cacaca;
    border-radius: 10px;
    min-width: 300px;
    min-height: 300px;
    background-color: #fff;
    left: 50%;
    top: 50%;
    position: relative;
    transform: translate(-50%,-50%);
}

.title {
    display: flex;
    justify-content: space-between;
    text-align: center;
    background-color: #eaeaea;
    padding: 10px;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
    font-weight: bold;
}

.modalContent {
    flex: 1;
}

.modalContent .error {
    color: red;
    padding: 10px;
}

.inner .actions {
    background-color: #eaeaea;
    padding: 10px;
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
    text-align: right;
}


.inner .actions button {
    cursor: pointer;
    margin-left: 5px;
}

.inner .actions svg {
    vertical-align: middle;
}

.close {
    cursor: pointer;
}

button.submit,
button.cancel,
button.update,
button.delete {
    color: #333;
    border: 1px solid #333;
    padding: 7px;
}

button.submit svg,
button.cancel svg,
button.update svg,
button.delete svg {
    height: 20px;
}

button.cancel:hover,
button.submit:hover,
button.update:hover,
button.delete:hover {
    background-color: #ddd;
}
